[arch-commits] Commit in centerim/trunk (PKGBUILD)

Eric Bélanger eric at archlinux.org
Sun Nov 8 17:59:53 EST 2009


    Date: Sunday, November 8, 2009 @ 17:59:53
  Author: eric
Revision: 58558

upgpkg: centerim 4.22.8-1
    Upstream update

Modified:
  centerim/trunk/PKGBUILD

----------+
 PKGBUILD |   15 ++++++++-------
 1 file changed, 8 insertions(+), 7 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-11-08 22:57:58 UTC (rev 58557)
+++ PKGBUILD	2009-11-08 22:59:53 UTC (rev 58558)
@@ -3,25 +3,26 @@
 # Contributor: shild <sxp at bk.ru>
 
 pkgname=centerim
-pkgver=4.22.7
-pkgrel=2
+pkgver=4.22.8
+pkgrel=1
 pkgdesc="Fork of CenterICQ - A text mode menu- and window-driven IM interface"
 arch=('i686' 'x86_64')
 url="http://www.centerim.org"
 license=('GPL')
 depends=('python' 'libjpeg>=7' 'gpgme')
 replaces=('centericq')
-source=("http://www.centerim.org/download/releases/$pkgname-$pkgver.tar.bz2")
+source=(http://www.centerim.org/download/releases/$pkgname-$pkgver.tar.gz)
+md5sums=('24f3d0f7c064f429879bc1626273b59b')
+sha1sums=('3fce70fe1b9fe14a30b57ffb03d2640d95d61f95')
 
 build() {
-  cd ${srcdir}/${pkgname}-${pkgver}
+  cd "${srcdir}/${pkgname}-${pkgver}"
 
   ./configure --prefix=/usr \
               --with-ssl \
               --with-openssl \
-              --enable-locales-fix
+              --enable-locales-fix || return 1
 
   make || return 1
-  make DESTDIR=${pkgdir} install
+  make DESTDIR="${pkgdir}" install || return 1
 }
-md5sums=('2db303baa9b7680c2cccb3314bfa7ae2')



More information about the arch-commits mailing list